Bug 398951 - Missing a dependency on kdewebdev ? (needs to be made explicit)
Missing a dependency on kdewebdev ? (needs to be made explicit)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: AcetoneISO (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 20:30 EST by Alex Lancaster
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 6.7-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 20:35:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2007-11-25 20:30:38 EST
AcetoneISO seems to install fine, but appears to be missing a dependency at
run-time probably needs a Requires: to make an implicit dependency explicit.

Here's the install lin

$ sudo yum install AcetoneISO 
Loading "presto" plugin
Loading "protectbase" plugin
Loading "allowdowngrade" plugin
Setting up and reading Presto delta metadata
No Presto metadata available for livna
No Presto metadata available for skype
No Presto metadata available for fedora
No Presto metadata available for adobe-linux-i386
No Presto metadata available for updates
0 packages excluded due to repository protections
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package AcetoneISO.i386 0:6.7-3.fc8 set to be updated
--> Processing Dependency: xbiso for package: AcetoneISO
--> Processing Dependency: nrg2iso for package: AcetoneISO
--> Processing Dependency: k3b for package: AcetoneISO
--> Processing Dependency: p7zip for package: AcetoneISO
--> Running transaction check
---> Package p7zip.i386 0:4.51-3.fc8 set to be updated
---> Package xbiso.i386 0:0.6.1-2.fc8 set to be updated
--> Processing Dependency: libftp.so.3 for package: xbiso
---> Package nrg2iso.i386 0:0.4-2.fc7 set to be updated
---> Package k3b.i386 0:1.0.3-3.fc8 set to be updated
--> Processing Dependency: libdbus-qt-1.so.1 for package: k3b
--> Running transaction check
---> Package ftplib.i386 0:3.1-3.fc8 set to be updated
---> Package dbus-qt.i386 0:0.70-2.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 AcetoneISO              i386       6.7-3.fc8        updates           301 k
Installing for dependencies:
 dbus-qt                 i386       0.70-2.fc8       fedora             33 k
 ftplib                  i386       3.1-3.fc8        fedora             16 k
 k3b                     i386       1.0.3-3.fc8      fedora             13 M
 nrg2iso                 i386       0.4-2.fc7        fedora             13 k
 p7zip                   i386       4.51-3.fc8       fedora            657 k
 xbiso                   i386       0.6.1-2.fc8      fedora             16 k


But it fails at run-time looking for kmdr-executor:

$ acetoneiso 
##AcetoneISO v6.7 is a program for KDE 3.5.x from GUI## 

 AcetoneISO is FreeSoftware and is distributed under The GNU
 General Public License(GPL) 
 Authors: Fabrizio Di Marco & Marco Di Antonio
 Logo Designer: Zouga & Deusex81
 email: acetoneiso@gmail.com
/usr/bin/acetoneiso: line 3: kmdr-executor: command not found

Doing an install on a /usr/bin/kmdr-executor reveals that it needs kdewebdev

$ sudo yum install /usr/bin/kmdr-executor
Password:
Loading "presto" plugin
Loading "protectbase" plugin
Loading "allowdowngrade" plugin
Setting up and reading Presto delta metadata
No Presto metadata available for livna
No Presto metadata available for skype
No Presto metadata available for fedora
No Presto metadata available for adobe-linux-i386
No Presto metadata available for updates
0 packages excluded due to repository protections
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package kdewebdev.i386 6:3.5.8-3.fc8 set to be updated
--> Processing Dependency: libkommanderwidget.so.0 for package: kdewebdev
--> Processing Dependency: kdewebdev-libs = 6:3.5.8-3.fc8 for package: kdewebdev
--> Processing Dependency: libkommanderwidgets.so.0 for package: kdewebdev
--> Processing Dependency: libcvsservice.so.0 for package: kdewebdev
--> Processing Dependency: tidy for package: kdewebdev
--> Running transaction check
---> Package tidy.i386 0:0.99.0-16.20070615.fc8 set to be updated
--> Processing Dependency: libtidy-0.99.so.0 for package: tidy
---> Package kdesdk-libs.i386 0:3.5.8-2.fc8 set to be updated
--> Processing Dependency: kdesdk = 3.5.8-2.fc8 for package: kdesdk-libs
---> Package kdewebdev-libs.i386 6:3.5.8-3.fc8 set to be updated
--> Running transaction check
---> Package kdesdk.i386 0:3.5.8-2.fc8 set to be updated
--> Processing Dependency: perl(DCOP) for package: kdesdk
--> Processing Dependency: libkcal.so.2 for package: kdesdk
---> Package libtidy.i386 0:0.99.0-16.20070615.fc8 set to be updated
--> Running transaction check
---> Package kdepim-libs.i386 6:3.5.8-5.svn20071013.ent.fc8 set to be updated
--> Processing Dependency: libopensync.so.0 for package: kdepim-libs
--> Processing Dependency: libgpgme.so.11 for package: kdepim-libs
--> Processing Dependency: libosengine.so.0 for package: kdepim-libs
--> Processing Dependency: kdepim = 6:3.5.8-5.svn20071013.ent.fc8 for package:
kdepim-libs
--> Processing Dependency: libgpgme.so.11(GPGME_1.0) for package: kdepim-libs
---> Package kdebindings-dcopperl.i386 0:3.5.8-1.fc8 set to be updated
--> Running transaction check
---> Package kdepim.i386 6:3.5.8-5.svn20071013.ent.fc8 set to be updated
--> Processing Dependency: pinentry-gui for package: kdepim
--> Processing Dependency: libgnokii.so.3 for package: kdepim
--> Processing Dependency: spambayes for package: kdepim
--> Processing Dependency: libmal.so.0 for package: kdepim
---> Package gpgme.i386 0:1.1.5-4.fc8 set to be updated
--> Processing Dependency: gnupg2 for package: gpgme
--> Processing Dependency: libpth.so.20 for package: gpgme
---> Package libopensync.i386 0:0.22-4.fc8 set to be updated
--> Running transaction check
---> Package gnokii.i386 0:0.6.18-3.fc8 set to be updated
---> Package pinentry-qt.i386 0:0.7.3-2.fc8 set to be updated
--> Processing Dependency: pinentry = 0.7.3-2.fc8 for package: pinentry-qt
---> Package gnupg2.i386 0:2.0.7-3.fc8 set to be updated
--> Processing Dependency: libksba.so.8(KSBA_0.9) for package: gnupg2
--> Processing Dependency: dirmngr for package: gnupg2
--> Processing Dependency: libksba.so.8 for package: gnupg2
---> Package pth.i386 0:2.0.7-3 set to be updated
---> Package spambayes.noarch 0:1.0.4-5.fc8 set to be updated
---> Package libmal.i386 0:0.31-7.fc8 set to be updated
--> Running transaction check
---> Package libksba.i386 0:1.0.2-3.fc8 set to be updated
---> Package pinentry.i386 0:0.7.3-2.fc8 set to be updated
---> Package dirmngr.i386 0:1.0.0-6.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kdewebdev               i386       6:3.5.8-3.fc8    fedora            8.9 M
Installing for dependencies:
 dirmngr                 i386       1.0.0-6.fc8      fedora            203 k
 gnokii                  i386       0.6.18-3.fc8     fedora            624 k
 gnupg2                  i386       2.0.7-3.fc8      fedora            2.5 M
 gpgme                   i386       1.1.5-4.fc8      fedora            259 k
 kdebindings-dcopperl    i386       3.5.8-1.fc8      fedora             44 k
 kdepim                  i386       6:3.5.8-5.svn20071013.ent.fc8  updates     
      13 M
 kdepim-libs             i386       6:3.5.8-5.svn20071013.ent.fc8  updates     
     5.4 M
 kdesdk                  i386       3.5.8-2.fc8      fedora            7.0 M
 kdesdk-libs             i386       3.5.8-2.fc8      fedora            248 k
 kdewebdev-libs          i386       6:3.5.8-3.fc8    fedora            301 k
 libksba                 i386       1.0.2-3.fc8      fedora            112 k
 libmal                  i386       0.31-7.fc8       fedora             60 k
 libopensync             i386       0.22-4.fc8       fedora            315 k
 libtidy                 i386       0.99.0-16.20070615.fc8  fedora            141 k
 pinentry                i386       0.7.3-2.fc8      fedora             60 k
 pinentry-qt             i386       0.7.3-2.fc8      fedora             60 k
 pth                     i386       2.0.7-3          fedora             90 k
 spambayes               noarch     1.0.4-5.fc8      fedora            526 k
 tidy                    i386       0.99.0-16.20070615.fc8  fedora            101 k

Transaction Summary
=============================================================================
Install     20 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)
Comment 1 Fedora Update System 2007-11-28 20:35:31 EST
AcetoneISO-6.7-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2007-11-28 20:40:55 EST
AcetoneISO-6.7-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.